#pragma once
#include <string>
#include "util/Pointers.h"

class FormatConverter
{
public:
    virtual AgString getValueClass() = 0;
    virtual TableFormatPtr getFormat() = 0;
    virtual FieldFormat* createFieldFormat(const AgString &name) = 0;
};
